Send Buttons
curl --request POST \
--url https://api.l2msg.com/whatsapp/message/sendButtons/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"number": "<string>",
"title": "<string>",
"description": "<string>",
"footer": "<string>",
"buttons": [
{
"title": "<string>",
"displayText": "<string>",
"id": "<string>"
}
],
"delay": 123,
"linkPreview": true,
"mentionsEveryOne": true,
"mentioned": [
"{{remoteJID}}"
],
"quoted": {
"key": {
"id": "<string>"
},
"message": {
"conversation": "<string>"
}
}
}
'import requests
url = "https://api.l2msg.com/whatsapp/message/sendButtons/{instance}"
payload = {
"number": "<string>",
"title": "<string>",
"description": "<string>",
"footer": "<string>",
"buttons": [
{
"title": "<string>",
"displayText": "<string>",
"id": "<string>"
}
],
"delay": 123,
"linkPreview": True,
"mentionsEveryOne": True,
"mentioned": ["{{remoteJID}}"],
"quoted": {
"key": { "id": "<string>" },
"message": { "conversation": "<string>" }
}
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: '<string>',
title: '<string>',
description: '<string>',
footer: '<string>',
buttons: [{title: '<string>', displayText: '<string>', id: '<string>'}],
delay: 123,
linkPreview: true,
mentionsEveryOne: true,
mentioned: ['{{remoteJID}}'],
quoted: {key: {id: '<string>'}, message: {conversation: '<string>'}}
})
};
fetch('https://api.l2msg.com/whatsapp/message/sendButtons/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"remoteJid": "553198296801@s.whatsapp.net",
"fromMe": true,
"id": "BAE53EC8D8E1FD8A"
},
"message": {
"messageContextInfo": {
"messageSecret": "lX/+cLHHNfnTTKZi+88mrhoyi6KNuUzWjgfaB0bTfOY="
},
"pollCreationMessage": {
"name": "Poll Name",
"options": [
{
"optionName": "Option 1"
},
{
"optionName": "Option 2"
},
{
"optionName": "Option 3"
}
],
"selectableOptionsCount": 1
}
},
"messageTimestamp": "1717781848",
"status": "PENDING"
}Send Message
Send Buttons
Send Buttons
POST
/
message
/
sendButtons
/
{instance}
Send Buttons
Authorizations
Your authorization key header
Path Parameters
Name of the instance
Body
application/json
{{remoteJid}}
Title Button
Description for buttons
Text Button
Show child attributes
Show child attributes
Presence time in milliseconds before sending message
Shows a preview of the target website if there's a link within the message
Mentioned everyone when the message send
Numbers to mention
Available options:
{{remoteJID}} Show child attributes
Show child attributes
Response
201 - application/json
Created
The key of the message, which identifies the message in the chat.
Show child attributes
Show child attributes
The message content, which may include various types of messages like text, images, poll creation, etc.
Show child attributes
Show child attributes
The timestamp of the message, represented as a string.
The status of the message, such as sent, received, or pending.
⌘I